Subject: Re: [EXT] build failure of next-20220906 due to 8bfc149ba24c ("scsi: qla2xxx: Enhance driver tracing with separate tunable and more")

From: Arun Easi <[email-masked]>
Date: Tue, 6 Sep 2022 14:26:31 -0700

On Tue, 6 Sep 2022, 2:03pm, Steven Rostedt wrote:

> On Tue, 6 Sep 2022 21:57:10 +0100
> Sudip Mukherjee <[email-masked]> wrote:
> 
> > Thanks, that fixed the build for me. The patch did not apply directly
> > on next-20220906, so I had to modify it a little bit.
> > 
> > Tested-by: Sudip Mukherjee <[email-masked]>
> 
> Well, the change needs to go into include/linux/trace.h though.
> 

Steve, I was thinking both the fixes stay at least for a short 
term the one in qla2xxx to avoid tree dependencies.

Since, the qla_def.h change goes as:

+#ifndef CONFIG_TRACING
+#ifndef trace_array_get_by_name

..it should co-exist when the "#define trace_array_get_by_name" gets 
merged in include/linux/trace.h. BTW, I will send out the changes to 
trace.h today.

Other alternatives/suggestions welcome.

Regards,
-Arun